EUCA-ATTACH-VOLUME(1)

NAME
euca-attach-volume - Attach an EBS volume to an instance

SYNOPSIS
euca-attach-volume -i INSTANCE -d DEVICE [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] VOLUME

DESCRIPTION
Attach an EBS volume to an instance

  positional arguments:

VOLUME
    ID of the volume to attach (required)

  optional arguments:

-i INSTANCE, --instance INSTANCE
    instance to attach the volume to (required)

-d DEVICE, --device DEVICE
    device name exposed to the instance (required)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit